## ros-indigo-pal-navigation-msgs 0.11.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pal_navigation_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation nav_msgs sensor_msgs actionlib actionlib_msgs)

include_directories(include)

add_action_files(
  DIRECTORY action
  FILES
    JoyPriority.action
    JoyTurbo.action
    GoToPOI.action
    GoTo.action
    VisualTraining.action)

add_message_files(
  DIRECTORY msg
  FILES
    AvailableMaps.msg
    Emergency.msg
    EulerAngles.msg
    EulerAnglesStamped.msg
    MapConfiguration.msg
    NavigationStatus.msg
    NiceMapTransformation.msg
    POI.msg
    PolarReading.msg
    PolarReadingScan.msg
    ServiceStatus.msg
    TabletPOI.msg
    VisualLocDB.msg
)

add_service_files(
  DIRECTORY srv
  FILES
    Acknowledgment.srv
    ChangeBuilding.srv
    DisableEmergency.srv
    FinalApproachPose.srv
    GetMapConfiguration.srv
    GetNodes.srv
    GetPOI.srv
    GetSubMap.srv
    SafetyZone.srv
    SaveMap.srv
    SetMapConfiguration.srv
    SetPOI.srv
    SetSubMapFloor.srv
    VisualLocRecognize.srv
)

generate_messages(DEPENDENCIES nav_msgs actionlib_msgs sensor_msgs)

catkin_package(CATKIN_DEPENDS message_runtime nav_msgs actionlib_msgs sensor_msgs)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-indigo-pal-navigation-msgs (0.11.3-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Paul Mathieu <paul.mathieu@pal-robotics.com>  Wed, 21 Sep 2016 15:28:42 -0000

ros-indigo-pal-navigation-msgs (0.11.2-0trusty) trusty; urgency=high



 -- Paul Mathieu <paul.mathieu@pal-robotics.com>  Sun, 18 Sep 2016 22:00:00 -0000

ros-indigo-pal-navigation-msgs (0.11.1-0trusty) trusty; urgency=high

  * Add ChangeBuilding service
  * Contributors: Victor Lopez

 -- Paul Mathieu <paul.mathieu@pal-robotics.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-pal-navigation-msgs (0.11.0-0trusty) trusty; urgency=high



 -- Paul Mathieu <paul.mathieu@pal-robotics.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-pal-navigation-msgs (0.10.4-0trusty) trusty; urgency=high



 -- Paul Mathieu <paul.mathieu@pal-robotics.com>  Thu, 03 Sep 2015 22:00:00 -0000

ros-indigo-pal-navigation-msgs (0.10.3-0trusty) trusty; urgency=high

  * Add deprecation notice to MapConfiguration nice map transform
  * Contributors: Víctor López

 -- Paul Mathieu <paul.mathieu@pal-robotics.com>  Sun, 08 Mar 2015 23:00:00 -0000

ros-indigo-pal-navigation-msgs (0.10.2-0trusty) trusty; urgency=high



 -- Paul Mathieu <paul.mathieu@pal-robotics.com>  Thu, 05 Feb 2015 23:00:00 -0000

ros-indigo-pal-navigation-msgs (0.10.1-0trusty) trusty; urgency=high

  * Moved actions from pal_navigation_manager
  * Contributors: Víctor López

 -- Paul Mathieu <paul.mathieu@pal-robotics.com>  Sun, 16 Nov 2014 23:00:00 -0000

ros-indigo-pal-navigation-msgs (0.9.1-0trusty) trusty; urgency=high

  * pal_navigation_msgs: add VisualTraning action
  * Add pal_navigation_msgs
  * Contributors: Paul Mathieu

 -- Paul Mathieu <paul.mathieu@pal-robotics.com>  Mon, 26 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-pal-navigation-msgs
Section: misc
Priority: extra
Maintainer: Paul Mathieu <paul.mathieu@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pal-navigation-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-sensor-msgs
Description: This package defines messages used by the PAL navigation stack and tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pal-navigation-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
